[arch-commits] Commit in python-testfixtures/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Mar 2 06:27:41 UTC 2017


    Date: Thursday, March 2, 2017 @ 06:27:40
  Author: felixonmars
Revision: 214424

archrelease: copy trunk to community-any

Added:
  python-testfixtures/repos/community-any/PKGBUILD
    (from rev 214423, python-testfixtures/trunk/PKGBUILD)
Deleted:
  python-testfixtures/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  104 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 52 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-03-02 06:27:26 UTC (rev 214423)
+++ PKGBUILD	2017-03-02 06:27:40 UTC (rev 214424)
@@ -1,52 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-testfixtures
-pkgname=('python-testfixtures' 'python2-testfixtures')
-pkgver=4.13.4
-pkgrel=1
-pkgdesc="A collection of helpers and mock objects that are useful when writing unit tests or doc tests"
-arch=('any')
-license=('MIT')
-url="https://github.com/Simplistix/testfixtures"
-makedepends=('python-setuptools' 'python2-setuptools' 'git')
-checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock'
-              'python-manuel' 'python2-manuel' 'python-nose-fixes' 'python2-nose-fixes')
-source=("git+https://github.com/Simplistix/testfixtures.git#tag=$pkgver")
-sha512sums=('SKIP')
-
-prepare() {
-  cp -a testfixtures{,-py2}
-}
-
-build() {
-  cd "$srcdir"/testfixtures
-  python setup.py build
-
-  cd "$srcdir"/testfixtures-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/testfixtures
-  nosetests3 || warning "Tests failed"
-
-  cd "$srcdir"/testfixtures-py2
-  nosetests2
-}
-
-package_python-testfixtures() {
-  depends=('python')
-
-  cd testfixtures
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 docs/license.txt "$pkgdir/usr/share/licenses/$pkgname/license.txt"
-}
-
-package_python2-testfixtures() {
-  depends=('python2')
-
-  cd testfixtures-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 docs/license.txt "$pkgdir/usr/share/licenses/$pkgname/license.txt"
-}

Copied: python-testfixtures/repos/community-any/PKGBUILD (from rev 214423, python-testfixtures/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-03-02 06:27:40 UTC (rev 214424)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-testfixtures
+pkgname=('python-testfixtures' 'python2-testfixtures')
+pkgver=4.13.5
+pkgrel=1
+pkgdesc="A collection of helpers and mock objects that are useful when writing unit tests or doc tests"
+arch=('any')
+license=('MIT')
+url="https://github.com/Simplistix/testfixtures"
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock'
+              'python-manuel' 'python2-manuel' 'python-nose-fixes' 'python2-nose-fixes')
+source=("git+https://github.com/Simplistix/testfixtures.git#tag=$pkgver")
+sha512sums=('SKIP')
+
+prepare() {
+  cp -a testfixtures{,-py2}
+}
+
+build() {
+  cd "$srcdir"/testfixtures
+  python setup.py build
+
+  cd "$srcdir"/testfixtures-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/testfixtures
+  nosetests3 || warning "Tests failed"
+
+  cd "$srcdir"/testfixtures-py2
+  nosetests2
+}
+
+package_python-testfixtures() {
+  depends=('python')
+
+  cd testfixtures
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 docs/license.txt "$pkgdir/usr/share/licenses/$pkgname/license.txt"
+}
+
+package_python2-testfixtures() {
+  depends=('python2')
+
+  cd testfixtures-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 docs/license.txt "$pkgdir/usr/share/licenses/$pkgname/license.txt"
+}



More information about the arch-commits mailing list